API version: unstable
API version: 2021-07 Release candidate
API version: 2021-04 Latest
API version: 2021-01
API version: 2020-10
API version: 2020-07
API version: 2020-04
API version: 2020-01 Unsupported
API version: 2019-10 Unsupported

PaymentProviderConfigurationInput input object

Version unstable

The payment provider configuration params that can be updated.

Input fields

  • attachment (String)

    The attachment for the provider.

  • Payment provider credentials provided by the merchant.

  • enabledCurrencies ([CurrencyCode!])

    The enabled presentment currencies.

  • expressEnabled (Boolean)

    Whether express is enabled.

  • extraSettings ([AttributeInput!])

    Extra settings for the provider such as checkboxes or radio buttons.

  • instructions (String)

    The instructions for a manual provider.

  • message (String)

    The additional details to display to the user on the payment page.

  • The updated list of payment methods.

  • paypalExpressEnabled (Boolean)

    Whether PayPal express is enabled.

  • testModeEnabled (Boolean)

    Whether the merchant has enabled test mode.

  • threeDSecureSetting (ThreeDSecureSetting)

    The 3DS setting for the provider.

Version 2021-07 (Release candidate)

The payment provider configuration params that can be updated.

Input fields

Version 2021-04 (Latest)

The payment provider configuration params that can be updated.

Input fields

Version 2021-01

The payment provider configuration params that can be updated.

Input fields

Version 2020-10

The payment provider configuration params that can be updated.

Input fields

Version 2020-07

The payment provider configuration params that can be updated.

Input fields

Version 2020-04

The payment provider configuration params that can be updated.

Input fields

Version 2020-01 (Unsupported)

The payment provider configuration params that can be updated.

Input fields

Version 2019-10 (Unsupported)

The payment provider configuration params that can be updated.

Input fields

Version 2019-07 (Unsupported)

The payment provider configuration params that can be updated.

Input fields

Version 2019-04 (Unsupported)

The payment provider configuration params that can be updated.

Input fields